﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace LoadAndDeleteSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initialize all classes
        SqlConnection con = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataTable dt = new DataTable();
        //Declare a variable
        string query;
        int result;

        private void Form1_Load(object sender, EventArgs e)
        {
            //connection between sql server to c#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=testdb;trusted_connection=true;";
            //calling a retrieve method
            retrievedtg();
        }
        private void retrievedtg()
        {
            try
            {
                //create a query for retrieving data in the database.
                query = "SELECT * FROM tbltest";
                //initialize new Sql commands
                cmd = new SqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //initialize new Sql data adapter
                da = new SqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);
                //Get and set the data source of a Datagridview
                dataGridView1.DataSource = dt;

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();

            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                //opening connection
                con.Open();
                //create an insert query;
                query = "DELETE FROM tbltest WHERE ID=" + dataGridView1.CurrentRow .Cells[0].FormattedValue ;
                //it holds the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //execute the data.
                int result = cmd.ExecuteNonQuery();
                //validate if the result of the executed query.
                if (result > 0)
                {
                    MessageBox.Show("Data has been deleted in the SQL database");
                    //calling a retrieve method
                    retrievedtg();
                   
                   
                }
                else
                {
                    MessageBox.Show("SQL QUERY ERROR");
                }
                //closing connection
                con.Close();

            }
            catch (Exception ex)//catch exeption
            {
                //displaying error message.
                MessageBox.Show(ex.Message);
            }
        }
    }
}
